<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.bonus.auth.mapper.AuthCustInfoMapper">
    <!--根据人员id集合获取人员信息-->
    <select id="selectLoginInfo" resultType="com.bonus.domain.CustInfoAppIdLoginVO">
        select cust_id, cust_name, cust_num, cust_photo_url, mobile, pwd
        from cust_info
        <where>
            cust_state = 1 and (psn_type != 999 or psn_type is null)
            <if test="custName != null and custName != ''">
                and cust_name = #{custName}
            </if>
            <if test="custNum != null and custNum != ''">
                and cust_num = #{custNum}
            </if>
            <if test="mobile != null and mobile != ''">
                and mobile = #{mobile}
            </if>
            <if test="idCard != null and idCard != ''">
                and id_card = #{idCard}
            </if>
        </where>
    </select>

</mapper>








































